Package org.bukkit.event.entity

# Class ArrowBodyCountChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.ArrowBodyCountChangeEvent

All Implemented Interfaces:
  `Cancellable`

public class ArrowBodyCountChangeEvent extends EntityEvent implements Cancellable
Called when an arrow enters or exists an entity's body.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`ArrowBodyCountChangeEvent(@NotNull LivingEntity entity, int oldAmount, int newAmount, boolean isReset)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull LivingEntity`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`int`
`getNewAmount()`
Get the new amount of arrows in the entity's body.
`int`
`getOldAmount()`
Gets the old amount of arrows in the entity's body.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`boolean`
`isReset()`
Whether the event was called because the entity was reset.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setNewAmount(int newAmount)`
Sets the final amount of arrows in the entity's body.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArrowBodyCountChangeEvent

public ArrowBodyCountChangeEvent(@NotNull @NotNull LivingEntity entity, int oldAmount, int newAmount, boolean isReset)

## Method Details

### isReset

public boolean isReset()
Whether the event was called because the entity was reset.

Returns:
  was reset

### getOldAmount

public int getOldAmount()
Gets the old amount of arrows in the entity's body.

Returns:
  amount of arrows

### getNewAmount

public int getNewAmount()
Get the new amount of arrows in the entity's body.

Returns:
  amount of arrows

### setNewAmount

public void setNewAmount(int newAmount)
Sets the final amount of arrows in the entity's body.

Parameters:
  `newAmount` - amount of arrows

### getEntity

@NotNull public @NotNull LivingEntity getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()